## javax.mail
Class AuthenticationFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.AuthenticationFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class AuthenticationFailedException

extends MessagingException

This exception is thrown when the connect method on a Store or Transport object fails due to an authentication failure (e.g., bad user name or password).

See Also:
  Serialized Form

Constructor Summary
`AuthenticationFailedException()` Constructor
`AuthenticationFailedException(java.lang.String message)` Constructor

Method Summary

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationFailedException

    public AuthenticationFailedException()

  Constructor

### AuthenticationFailedException

    public AuthenticationFailedException(java.lang.String message)

  Constructor

  Parameters:
    `message` - The detailed error message